stages:
  - test
  - build
  - release

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: feat/podman
    file:
      - buildah.auto.yml
      - registry/terraform.auto.yml
      - registry/helm.auto.yml
      - vigigloo/assist.auto.yml

variables:
  TERRAFORM_REGISTRY_MODULE_NAME: tools-k8s
  TERRAFORM_REGISTRY_SYSTEM_NAME: httpbounce
  HELM_CHART_NAME: http-bounce


.vigigloo:terraform:
  image:
    name: hashicorp/terraform:1.5

.vigigloo:cli:assist:
  image:
    name: registry.gitlab.com/vigigloo/cli:dslim-v1.4.0
  artifacts:
    paths:
      - terraform_module

.vigigloo:registry:terraform:init:
  needs:
    - job: vigigloo:cli:assist
      artifacts: true

.vigigloo:registry:terraform:tflint:
  rules:
    - when: never

.vigigloo:registry:terraform:fmt:
  rules:
    - when: never

.vigigloo:registry:terraform:lint:
  rules:
    - when: never

registry:terraform:upload:
  needs:
    - job: registry:terraform:build
      artifacts: true
    - job: vigigloo:cli:assist
      artifacts: true
